Skip to main content
`Ctrl`+`K`

# LMEMonitorRegisterCreateFn

A function prototype for functions that do the creation when provided to `LMEMonitorRegister()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode LMEMonitorRegisterCreateFn(PetscViewer viewer,PetscViewerFormat format,void *ctx,PetscViewerAndFormat **result);

## Calling Sequence

- viewer - the viewer to be used with the `LMEMonitorRegisterFn`

- format - the format of the viewer

- ctx - a context for the monitor

- result - a `PetscViewerAndFormat` object

## See Also

LME: Linear Matrix Equation, `LMEMonitorRegisterFn`, `LMEMonitorSet()`, `LMEMonitorRegister()`, `LMEMonitorFn`, `LMEMonitorRegisterDestroyFn`

## Level

advanced

## Location

include/slepclme.h

Index of all LME routines Table of Contents for all manual pages Index of all manual pages